> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/meal-plan/create-meal-plan-template/custom-options.md).

# Custom Options

Create a meal plan template based on specific program and nutritional information such as calories, carbohydrates, protein, and fat.  Send the parameters in the same way as if the [`customMealPlan`](/graphql/query/queries/meal-plan/meal-plan.md#example) sends. The meal plan generated is saved in this template.

### Available Arguments

Refer to [this document](https://docs.suggestic.com/graphql/query/mutations/meal-plan/create-meal-plan-template#available-arguments) to see the available arguments to use in this mutation.

## Example

### Create a custom meal plan

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation {
  createMealPlanTemplate(
    description: "Custom Meal Plan Template"
    customOptions: {
    calories: 1500
    carbsPerc: 45
    proteinPerc: 25
    fatPerc: 30
    program: "UHJvZ3JhbTozMzNhZjZiYi0xYTg4LTQzYzQtYjExZC1kYjJjZWNkMjk3YjA="
    }
    name: "New Meal Plan Template"
  )
  {
    message
    success
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "createMealPlanTemplate": {
      "message": "Meal plan template created",
      "success": true
    }
  }
}
```

{% endtab %}
{% endtabs %}

Get the meal plan template Id by executing the [`mealPlanTemplates`](/graphql/query/search/meal-plan-template-search.md) query

Generate the meal plan:

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  generateMealPlan(
    fromTemplate: "TWVhbFBsYW5UZW1wbGF0ZToyYTVmY2Q3Zi0wNzJlLTRiMjYtOGE3ZC1iYTgxNDZhMmY3ZTQ="
    addDays: true
  ) {
    success
    message
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "generateMealPlan": {
      "success": true,
      "message": "Meal plan generated."
    }
  }
}
```

{% endtab %}
{% endtabs %}

Finally, execute the [`mealPlan`](https://docs.suggestic.com/graphql/query/queries/meal-plan/meal-plan-1) query to see the information of the recent meal plan created.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/meal-plan/create-meal-plan-template/custom-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
